;------------------------------------------------------------------------------
;  config.asm
;  - processor configuration for GenPIC
;  - For the PIC18F66K80 microcontroller
;
;  Andrew Cooper
;  http://www.darkerview.com
;  CC BY-SA 4.0 - Attribution-ShareAlike 4.0 International
;
;  12Jan2017 A. Cooper
;  - initial version
;
;------------------------------------------------------------------------------
;  Configuration
	CONFIG MCLRE= ON	;Master Clear Enable
	CONFIG RETEN= OFF	;ultra low-power regulator is disabled
	CONFIG INTOSCSEL= LOW	;LF-INTOSC in high-power mode during sleep
	CONFIG SOSCSEL= DIG	;digital (SCLKI) mode
	CONFIG XINST= OFF	;extended instructions disabled
	CONFIG FOSC= EC2IO	;16MHz external oscillator
	CONFIG PLLCFG= OFF	;PLL disabled
	CONFIG STVREN= ON	;stack overflow reset enabled
	CONFIG FCMEN= OFF	;Fail-Safe Clock Monitor
	CONFIG IESO= OFF	;Internal Oscillator Switch Over Mode
	CONFIG PWRTEN= OFF	;Power Up Timer
	CONFIG BOREN= SBORDIS	;Brown Out Detect
	CONFIG BORV= 0	;Brown-out Reset Voltage 3.0V
	CONFIG BORPWR = HIGH	;BORMV Power level high
	CONFIG WDTEN = SWDTDIS	;WDT disabled in hardware
	CONFIG WDTPS = 16384	;WDT postscaler 1:1048576;
;	CONFIG CANMX = PORTE	;ECAN TX/RX pins are located on RE4 and RE5
;	CONFIG MSSPMSK = MSK5	;MSSP address masking 5 bit address mode
;	CONFIG BBSIZ = BB1K	;Boot Block Size
;	CONFIG CP0 = OFF	;Code Protect 00800-01FFF
;	CONFIG CP1 = OFF	;Code Protect 02000-03FFF
;	CONFIG CP2 = OFF	;Code Protect 04000-05FFF
;	CONFIG CP3 = OFF	;Code Protect 06000-07FFF
;	CONFIG CPB = OFF	;Code Protect Boot
;	CONFIG CPD = OFF	;Data EE Read Protect
;	CONFIG WRT0 = OFF	;Table Write Protect 00800-03FFF
;	CONFIG WRT1 = OFF	;Table Write Protect 04000-07FFF
;	CONFIG WRT2 = OFF	;Table Write Protect 08000-0BFFF
;	CONFIG WRT3 = OFF	;Table Write Protect 0C000-0FFFF
;	CONFIG WRTC = OFF	;Config. Write Protect
;	CONFIG WRTB = OFF	;Table Write Protect Boot
;	CONFIG WRTD = OFF	;Data EE Write Protect
;	CONFIG EBTR0 = OFF	;Table Read Protect 00800-03FFF
;	CONFIG EBTR1 = OFF	;Table Read Protect 04000-07FFF
;	CONFIG EBTR2 = OFF	;Table Read Protect 08000-0BFFF
;	CONFIG EBTR3 = OFF	;Table Read Protect 0C000-0FFFF
;	CONFIG EBTRB = OFF	;Table Read Protect Boot

;-- end config.asm-------------------------------------------------------------